Role Name
=========

A role that installs the Dovecot imap server, <https://dovecot.org>

Role Variables
--------------

Some variables below. To really configure the service an additional role that changes the various configuration files must be created by the user.

``` yaml
dovecot_service_enabled: True
dovecot_rh_pkgs:
  - dovecot
  - dovecot-pigeonhole

dovecot_firewalld_services:
  - { service: 'pop3', state: 'enabled', zone: '{{ firewalld_default_zone }}' }
  - { service: 'pop3s', state: 'enabled', zone: '{{ firewalld_default_zone }}'  }
  - { service: 'imap', state: 'enabled', zone: '{{ firewalld_default_zone }}'  }
  - { service: 'imaps', state: 'enabled', zone: '{{ firewalld_default_zone }}'  }

# 24 is LMTP
# 4190 is ManageSieve
dovecot_firewalld_ports:
  - { port: 24, protocol: 'tcp', state: 'disabled', zone: '{{ firewalld_default_zone }}'  }
  - { port: 4190, protocol: 'tcp', state: 'disabled', zone: '{{ firewalld_default_zone }}' }

```

Dependencies
------------

None

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
